Welcome Guest! You need to login or register to make posts.

Notification

Icon
Error

Options
Go to last post Go to first unread
info@bjb.at  
#1 Posted : Sunday, November 21, 2010 8:05:00 AM(UTC)
info@bjb.at

Rank: Member

Groups: Member
Joined: 8/13/2008(UTC)
Posts: 14

Hi, I am evaluating IU 7.0.11

Page: http://localhost/iu7/PHP/Samples_imageUploaderJavaScript/BasicDemo/index.php or and following

The Demos work under IE 8, but on Firefox and Chrome I get an error:

"matches is null" on aurigma.uploader.js line 532:

v = matches.slice(1);

I updated my Java and epmtied the Cache, the error remains. The Online-Demo on aurigma.com works.

Best regards

Bernd
info@bjb.at  
#2 Posted : Sunday, November 21, 2010 10:12:11 AM(UTC)
info@bjb.at

Rank: Member

Groups: Member
Joined: 8/13/2008(UTC)
Posts: 14

the code:

var v = jvms.get(i).version;
alert (v) // -> gives 1.6.0
if (v) {
matches = /^(\d+)\.(\d+)\.(\d+)_(\d+)$/.exec(v);
alert (matches) // gives null
v = matches.slice(1); // gives error

theres no underscore in my jvms.get(i).version, so that may cause the error
Dmitry.Obukhov  
#3 Posted : Monday, November 22, 2010 2:32:34 AM(UTC)
Dmitry.Obukhov

Rank: Advanced Member

Groups:
Joined: 5/29/2010(UTC)
Posts: 1,310

Thanks: 8 times
Was thanked: 111 time(s) in 111 post(s)
Hello Bernd,

Thanks for contacting us.

I tried to reproduce your problem on FF and Chrome. However, my sample worked okay, and I did not get the same error as you did. Could you please provide me with additional information on the following:
  1. used version of Windows;
  2. version numbers of tested FF, and Google Chrome;
  3. exact version number of installed Java update.
Looking forward to you reply.
Best regards,
Dmitry Obukhov
Technical Support. Aurigma, Inc.
info@bjb.at  
#4 Posted : Monday, November 22, 2010 3:18:40 AM(UTC)
info@bjb.at

Rank: Member

Groups: Member
Joined: 8/13/2008(UTC)
Posts: 14

Windows Vista, FF 3.6.12, Java 1.6.0_22 (and some older ones like 1.6.0)

the problem is that

var v = jvms.get(i).version;

does not alway return something like 1.6.0_22, but can also return 1.6.0 (instead of 1.6.0_00). so the line

matches = /^(\d+)\.(\d+)\.(\d+)_(\d+)$/.exec(v);

will cause an error.

So, clients with 1.5.0 will see an error, clients with 1.5.0_01 will not

best regards

Bernd
Dmitry.Obukhov  
#5 Posted : Tuesday, November 23, 2010 3:15:35 AM(UTC)
Dmitry.Obukhov

Rank: Advanced Member

Groups:
Joined: 5/29/2010(UTC)
Posts: 1,310

Thanks: 8 times
Was thanked: 111 time(s) in 111 post(s)
Hello Bernd,

Unfortunately, I could not reproduce your problem. Please ask your users who experience the problem to update version of Java to the last one.

Let me know if you have any additional questions.
Best regards,
Dmitry Obukhov
Technical Support. Aurigma, Inc.
info@bjb.at  
#6 Posted : Wednesday, November 24, 2010 2:07:50 AM(UTC)
info@bjb.at

Rank: Member

Groups: Member
Joined: 8/13/2008(UTC)
Posts: 14

Hi I updated my Java to 1.6.0_22, but 1.6.0 is still there

Lots of your customers will experience this problem when 1.7.0 (not 1.7.0_00) is out

best regards

Bernd
Dmitry.Obukhov  
#7 Posted : Wednesday, November 24, 2010 2:46:09 AM(UTC)
Dmitry.Obukhov

Rank: Advanced Member

Groups:
Joined: 5/29/2010(UTC)
Posts: 1,310

Thanks: 8 times
Was thanked: 111 time(s) in 111 post(s)
Hi Bernd,

I installed 1.6.0 version of Java on my machine. Then I updated it to the last one – 1.6.0_22. I run Image Uploader 7 in FF, and got the same effect as you did. Our developer fixed this problem. The next release of Image Uploader 7 will be free of it.

I attached fixed aurigma.uploader.js file for you. Please replace your old js file with the new downloaded one, and let me know about the results.
File Attachment(s):
aurigma.uploader.zip (30kb) downloaded 5 time(s).
Best regards,
Dmitry Obukhov
Technical Support. Aurigma, Inc.
info@bjb.at  
#8 Posted : Wednesday, November 24, 2010 3:20:57 AM(UTC)
info@bjb.at

Rank: Member

Groups: Member
Joined: 8/13/2008(UTC)
Posts: 14

Now it works!

thanks a lot!

Bernd
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.